Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::SnmpSensor Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::SnmpSensor:

## Public Attributes

string | oid
| sensor oid
Public Attributes inherited from peripheral::GatewaySensorManager::Sensor
string | sensorId
| Unique sensor id, is automatically generated if not set.
boolean | disabled
| Set disabled = true prevents any usage of the specification.
string | deviceId
| remote device id
string | classId
| sensor class id
string | encodingId
| sensor encoding id
string | defaultName
| default sensor name

## Detailed Description

Definition at line 613 of file GatewaySensorManager.idl.

## Member Data Documentation

## oid

string peripheral::GatewaySensorManager::SnmpSensor::oid

sensor oid

Definition at line 614 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl